#----- generic from here on down -----

SHELL = bash
PRINTER = -Palt4

print: $(DOC).ps
	lpr $(PRINTER) $(DOC).ps
view: $(DOC).ps
	ghostview $(DOC).ps

# For Cornell
#print: $(DOC).ps
#	../bin/print-ps $(DOC).ps
#view: $(DOC).dvi
#	xdvi $(DOC).dvi

%.ps: %.dvi
	dvips -f <$< >$@

%.view: %.ps
	ghostview $<


# Hack to run latex twice, but only when necessary.
%.aux: %.tex
	if [ -e $@ ]; then cp -p $@ $@.save; fi
	latex $*
	touch $@
%.dvi: %.aux
	if ! [ -e $<.save ] || ! cmp $<.save $<; \
	then latex $*; \
	fi

